{
    "common" :
    {
        "max_player" : 2,
        "custom_resource_id" : [ "mai2" ]
    },

    "error" :
    {
        "auto_reset" : true
    },

    "sequence" :
    {
        "play_accounting_timing" : "normal",
        "save_total_time_on_playing" : false
    },

    "video" :
    {
        "enable" : true,
        "mode" : "dual",
        "monitor" :
        [
            {
                "width" : 1920,
                "height" : 1080,
                "angle" : 270
            },
            {
                "width" : 1920,
                "height" : 1080,
                "angle" : 270
            }
        ],
        "ignore_unconnected" : false
    },

    "usb_io" :
    {
        "enable" : true,
        "share_coin_slot" : true,
        "node" :
        [
            {
                "id" : 0,
                "required_function" :
                {
                    "coin_input" :
                    {
                        "enable" : true,
                        "slot" : 1
                    },
                    "switch_input" :
                    {
                        "enable" : true,
                        "player" : 2,
                        "button" : 14
                    },
                    "general_output" :
                    {
                        "enable" : true,
                        "slot" : 20
                    },
                    "unique_io" :
                    [
                        {
                        "command" : 65,
                        "param" : [ 6 ],
                        "input" : false,
                        "output" : true
                        }
                    ]
                }
            }
        ]
    },
 
    "input" :
    {
        "system" :
        [
            { "id" : "test", "type" : "usb_switch", "usb_player" : -1, "index" : 0 },
            { "id" : "service", "type" : "usb_switch", "usb_player" : 0, "index" : 6 }
        ],        

        "players":
        [
            [
                { "id" : "button_01", "type" :"usb_switch", "usb_player" : 0, "index" : 2  },
                { "id" : "button_02", "type" :"usb_switch", "usb_player" : 0, "index" : 3  },
                { "id" : "button_03", "type" :"usb_switch", "usb_player" : 0, "index" : 0  },
                { "id" : "button_04", "type" :"usb_switch", "usb_player" : 0, "index" : 15  },
                { "id" : "button_05", "type" :"usb_switch", "usb_player" : 0, "index" : 14  },
                { "id" : "button_06", "type" :"usb_switch", "usb_player" : 0, "index" : 13  },
                { "id" : "button_07", "type" :"usb_switch", "usb_player" : 0, "index" : 12  },
                { "id" : "button_08", "type" :"usb_switch", "usb_player" : 0, "index" : 11  },
                { "id" : "select",    "type" :"usb_switch", "usb_player" : 0, "index" : 1  }
            ],
            [
                { "id" : "button_01", "type" :"usb_switch", "usb_player" : 1, "index" : 2  },
                { "id" : "button_02", "type" :"usb_switch", "usb_player" : 1, "index" : 3  },
                { "id" : "button_03", "type" :"usb_switch", "usb_player" : 1, "index" : 0  },
                { "id" : "button_04", "type" :"usb_switch", "usb_player" : 1, "index" : 15  },
                { "id" : "button_05", "type" :"usb_switch", "usb_player" : 1, "index" : 14  },
                { "id" : "button_06", "type" :"usb_switch", "usb_player" : 1, "index" : 13  },
                { "id" : "button_07", "type" :"usb_switch", "usb_player" : 1, "index" : 12  },
                { "id" : "button_08", "type" :"usb_switch", "usb_player" : 1, "index" : 11  },
                { "id" : "select",    "type" :"usb_switch", "usb_player" : 1, "index" : 4  }
            ]
        ]
    },

    "output" :
    {
        "system" :
        [
            { "id" : "coin_block",         "type" : "usb_general", "usb_node" : 0, "index" : 6, "count" : 1  },
            { "id" : "left_reader_led" ,   "type" : "usb_general", "usb_node" : 0, "index" : 5, "count" : 1  },
            { "id" : "right_reader_led" ,  "type" : "usb_general", "usb_node" : 0, "index" : 2, "count" : 1  },
            { "id" : "camera_led_circle" , "type" : "usb_general", "usb_node" : 0, "index" : 15, "count" : 1  },
            { "id" : "camera_led_red" ,    "type" : "usb_general", "usb_node" : 0, "index" : 14, "count" : 1  }
        ]
    },

    "credit" :
    {
        "enable" : true,
        "max_credit" : 24
    },

    "network" :
    {
        "enable" : true,
        "support_standalone" : false,
        "use_gateway" : true,
        "use_location_router" : true,
        "location_router_directly" : "deny",
        "property" :
        {
            "save" : true,
            "dhcp" : true
        }
    },

    "allnet_auth" :
    {
        "enable" : true,
        "type" : "1.0",
        "support_line" :
        {
            "broadband" : true,
            "mobile" : false,
            "xdsl" : true
        }
    },
    
    "allnet_accounting" :
    {
        "enable" : false,
        "mode" : "A"
    },

    "aime" :
    {
        "enable" : true,
        "unit" :
        [
            {
                "port" : 1,
                "id" : 1
            }
        ],
        "firmware_path" :
        [],
        "high_baudrate" : true
    },
    "emoney" :
    {
        "enable" : false,
        "resource_path" : "tfps-res-pro",
        "aime_unit" : 0,
        "display_port" : 2,
        "log" :
        {
            "level" : 2,
            "root_path" : "emoney_log"
        }
    }
}
